### Method

# Ide Test get_id

#### Declaration

    const gchar*
    ide_test_get_id (
      IdeTest* self
    )

#### Description

Gets the `IdeTest:id` property.

Available since: | 3.32

Gets property | `Ide.Test:id`

#### Return value

Returns: | `const gchar*`
| The id of the test, or `NULL` if it has not been set.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.